SGI Advanced Linux Environment security update #11

From: SGI Security Coordinator (agent99_at_sgi.com)
Date: 02/26/04

  • Next message: Peter Buijsman: "RE: Serv-U "MDTM" buffer overflow PoC DoS exploit"
    Date: Thu, 26 Feb 2004 10:24:49 -0800
    To: agent99@sgi.com
    
    

    -----BEGIN PGP SIGNED MESSAGE-----

    ______________________________________________________________________________
                               SGI Security Advisory

      Title : SGI Advanced Linux Environment security update #11
      Number : 20040202-01-U
      Date : February 26, 2004
      Reference : Redhat Advisory RHSA-2004:041-06, CAN-2003-0056, CAN-2003-0848
      Reference : Redhat Advisory RHSA-2004:056-05, CAN-2004-0080
      Reference : Redhat Advisory RHSA-2004:035-01, CAN-2003-1023
      Reference : Redhat Advisory RHSA-2004:031-02, CAN-2003-0924
      Reference : Redhat Advisory RHSA-2004:045-04, CAN-2004-0006, CAN-2004-0008
      Reference : Redhat Advisory RHSA-2004:019-04, CAN-2003-0991
      Reference : Redhat Advisory RHSA-2004:009-04, CAN-2003-0966
      Reference : Redhat Advisory RHSA-2004:004-05, CAN-2002-0844, CAN-2003-0977
      Reference : Redhat Advisory RHSA-2004:008-09, CAN-2003-0989, CAN-2004-0055,
                                                    CAN-2004-0057
      Reference : Redhat Advisory RHSA-2004:002-02, CAN-2003-1012, CAN-2003-1013
      Reference : Redhat Advisory RHSA-2003:404-08, CAN-2003-0963
      Reference : Redhat Advisory RHSA-2003:312-06, CAN-2003-0855
      Reference : Redhat Advisory RHSA-2003:360-08, CAN-2003-0542
      Reference : Redhat Advisory RHSA-2003:372-08, CAN-2002-1565
      Reference : Redhat Advisory RHSA-2003:395-13, CAN-2003-0971
     Fixed in : Patch 10044 for SGI ProPack v2.4
    ______________________________________________________________________________

    SGI provides this information freely to the SGI user community for its
    consideration, interpretation, implementation and use. SGI recommends that
    this information be acted upon as soon as possible.

    SGI provides the information in this Security Advisory on an "AS-IS" basis
    only, and disclaims all warranties with respect thereto, express, implied
    or otherwise, including, without limitation, any warranty of merchantability
    or fitness for a particular purpose. In no event shall SGI be liable for
    any loss of profits, loss of business, loss of data or for any indirect,
    special, exemplary, incidental or consequential damages of any kind arising
    from your use of, failure to use or improper use of any of the instructions
    or information in this Security Advisory.
    ______________________________________________________________________________

    - --------------
    - --- Update ---
    - --------------

    SGI has released Patch 10044: SGI Advanced Linux Environment security
    update #11, which includes updated RPMs for SGI ProPack v2.4 for the SGI
    Altix family of systems, in response to the following security issues:

    Updated slocate packages fix vulnerabilities
     http://rhn.redhat.com/errata/RHSA-2004-041.html

    Updated util-linux packages fix information leak
     http://rhn.redhat.com/errata/RHSA-2004-056.html

    Updated mc packages resolve buffer overflow vulnerability
     http://rhn.redhat.com/errata/RHSA-2004-035.html

    Updated NetPBM packages fix multiple temporary file vulnerabilities
     http://rhn.redhat.com/errata/RHSA-2004-031.html

    Updated Gaim packages fix security vulnerabilities
     http://rhn.redhat.com/errata/RHSA-2004-045.html

    Updated mailman packages close DoS vulnerability
     http://rhn.redhat.com/errata/RHSA-2004-019.html
    Updated elm packages fix vulnerability in frm command
     http://rhn.redhat.com/errata/RHSA-2004-009.html

    Updated CVS packages fix minor security issue
     http://rhn.redhat.com/errata/RHSA-2004-004.html

    Updated tcpdump packages fix various vulnerabilities
     http://rhn.redhat.com/errata/RHSA-2004-008.html

    Updated Ethereal packages fix security issues
      http://rhn.redhat.com/errata/RHSA-2004-002.html

    Updated lftp packages fix security vulnerability
     http://rhn.redhat.com/errata/RHSA-2003-404.html

    Updated Pan packages fix denial of service vulnerability
     http://rhn.redhat.com/errata/RHSA-2003-312.html

    Updated apache packages fix minor security vulnerability
     http://rhn.redhat.com/errata/RHSA-2003-360.html

    Updated wget packages include fix for buffer overrun
     http://rhn.redhat.com/errata/RHSA-2003-372.html

    Updated gnupg packages disable ElGamal keys
     http://rhn.redhat.com/errata/RHSA-2003-395.html

    Patch 10044 is available from http://support.sgi.com/ and
    ftp://patches.sgi.com/support/free/security/patches/ProPack/2.4/

    The individual RPMs from Patch 10044 are available from:
    ftp://oss.sgi.com/projects/sgi_propack/download/2.4/updates/RPMS
    ftp://oss.sgi.com/projects/sgi_propack/download/2.4/updates/SRPMS

    Note: Four weeks after the release of SGI ProPack v2.4,
    weekly security updates for SGI ProPack v2.3 will discontinue.
    Please upgrade to SGI ProPack v2.4 as soon as possible.
    See the SGI ProPack Support Policy on http://support.sgi.com/
    for additional information.

    - -------------
    - --- Links ---
    - -------------

    SGI Security Advisories can be found at:
    http://www.sgi.com/support/security/ and
    ftp://patches.sgi.com/support/free/security/advisories/

    Red Hat Errata: Security Alerts, Bugfixes, and Enhancements
    http://www.redhat.com/apps/support/errata/

    SGI Advanced Linux Environment security updates can found on:
    ftp://oss.sgi.com/projects/sgi_propack/download/

    SGI patches can be found at the following patch servers:
    http://support.sgi.com/

    The primary SGI anonymous FTP site for security advisories and
    security patches is ftp://patches.sgi.com/support/free/security/

    - -----------------------------------------
    - --- SGI Security Information/Contacts ---
    - -----------------------------------------

    If there are questions about this document, email can be sent to
    security-info@sgi.com.

                          ------oOo------

    SGI provides security information and patches for use by the entire SGI
    community. This information is freely available to any person needing the
    information and is available via anonymous FTP and the Web.

    The primary SGI anonymous FTP site for security advisories and patches is
    patches.sgi.com. Security advisories and patches are located under the URL
    ftp://patches.sgi.com/support/free/security/

    The SGI Security Headquarters Web page is accessible at the URL:
    http://www.sgi.com/support/security/

    For issues with the patches on the FTP sites, email can be sent to
    security-info@sgi.com.

    For assistance obtaining or working with security patches, please
    contact your SGI support provider.

                          ------oOo------

    SGI provides a free security mailing list service called wiretap and
    encourages interested parties to self-subscribe to receive (via email) all
    SGI Security Advisories when they are released. Subscribing to the mailing
    list can be done via the Web
    (http://www.sgi.com/support/security/wiretap.html) or by sending email to
    SGI as outlined below.

    % mail wiretap-request@sgi.com
    subscribe wiretap < YourEmailAddress such as midwatch@sgi.com >
    end
    ^d

    In the example above, <YourEmailAddress> is the email address that you wish
    the mailing list information sent to. The word end must be on a separate
    line to indicate the end of the body of the message. The control-d (^d) is
    used to indicate to the mail program that you are finished composing the
    mail message.

                          ------oOo------

    SGI provides a comprehensive customer World Wide Web site. This site is
    located at http://www.sgi.com/support/security/ .

                          ------oOo------

    If there are general security questions on SGI systems, email can be sent to
    security-info@sgi.com.

    For reporting *NEW* SGI security issues, email can be sent to
    security-alert@sgi.com or contact your SGI support provider. A support
    contract is not required for submitting a security report.

    ______________________________________________________________________________
          This information is provided freely to all interested parties
          and may be redistributed provided that it is not altered in any
          way, SGI is appropriately credited and the document retains and
          includes its valid PGP signature.

    -----BEGIN PGP SIGNATURE-----
    Version: 2.6.2

    iQCVAwUBQD44ebQ4cFApAP75AQFRhgP+P/NfEO4XfD4gkN/n+uFs+IvcAEdeKk3R
    PhH6L6KQrFVwPGkTeiYK8G8wBAvVMd2LyG4V8o7VpMHD7ZHpIonIHjcaY51WEOqk
    bfzoiWbzWtpz58e92iWDr4Ps83MZQW6j74QuNfG5+BDD0BdGR8k4uv5h+wS+hNph
    EQMX4WQAve0=
    =j6XU
    -----END PGP SIGNATURE-----


  • Next message: Peter Buijsman: "RE: Serv-U "MDTM" buffer overflow PoC DoS exploit"

    Relevant Pages

    • Samba Security Vulnerability on IRIX
      ... SGI has not found one, nor has the Samba ... the vulnerability is considered serious. ... The primary SGI anonymous FTP site for security advisories and patches is ...
      (Bugtraq)
    • IRIX nedit vulnerability
      ... Subject: IRIX nedit vulnerability ... Security Focus has reported a vulnerability related to the way the NEdit ... implemented on ALL vulnerable SGI systems. ...
      (Bugtraq)
    • [Full-Disclosure] SGI Advanced Linux Environment security update #11
      ... SGI provides this information freely to the SGI user community for its ... SGI provides the information in this Security Advisory on an "AS-IS" basis ... Updated util-linux packages fix information leak ... Updated mc packages resolve buffer overflow vulnerability ...
      (Full-Disclosure)
    • SGI Advanced Linux Environment security update #11
      ... SGI provides this information freely to the SGI user community for its ... SGI provides the information in this Security Advisory on an "AS-IS" basis ... Updated util-linux packages fix information leak ... Updated mc packages resolve buffer overflow vulnerability ...
      (Full-Disclosure)
    • [Full-Disclosure] SGI Advanced Linux Environment security update #3
      ... SGI provides this information freely to the SGI user community for its ... SGI provides the information in this Security Advisory on an "AS-IS" basis ... Updated SANE packages fix remote vulnerabilities ... Updated WindowMaker packages fix vulnerability in theme-loading ...
      (Full-Disclosure)